<bugID>979424<Summary>Implement structure and state switching for translation infobar</Summary><Description>Bug 971044 became a sort-of metabug, so filing a new one to implement the basic infobar structure for the Translation project. This bug should unblock all work related to the infobar styling and features. Note: this infobar is more complex than the typical ones that disappear after interaction, so it's probably important to write it in a way that brings the concepts of "states" or "phases" to the bar ("translation offer", "in progress", "translated + show original", "error"), to facilitate other bugs.  

The translation infobar should be an infobar with the following features:

- It displays the webpage's language in a language dropdown, pre-selected to the language detected
- Allows the user to correct this detection by choosing another language from the dropdown
- Has a Translate and Not Now buttons, and an Options menupopup button
- Doesn't go away when Translate is clicked. Instead, it switches to "Translating webpage" and triggers the translation service
- Displays success or error information on completion</Description></bugID>